package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 动力箱柜对象 adm_power_box
 * 
 * @author ruoyi
 * @date 2024-08-20
 */
public class PowerBox extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 箱柜代码 */
    @Excel(name = "箱柜代码")
    private String boxCode;

    /** 箱体类型 */
    @Excel(name = "箱体类型")
    private Long boxType;

    /** 服务区代码 */
    private String areaCode;

    /** 服务区名称 */
    @Excel(name = "服务区名称")
    private String areaName;

    /** 服务区简称 */
    private String areaShortName;

    /** 安装位置 */
    @Excel(name = "安装位置")
    private String location;

    /** 箱体尺寸 */
    @Excel(name = "箱体尺寸")
    private String boxSize;

    /** 网关地址 */
    @Excel(name = "网关地址")
    private String gatewayAddr;

    /** 网关端口 */
    @Excel(name = "网关端口")
    private Long gatewayPort;

    /** 电气件信息 */
    private List<PowerBoxElecEqpt> elecEqptList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBoxCode(String boxCode) 
    {
        this.boxCode = boxCode;
    }

    public String getBoxCode() 
    {
        return boxCode;
    }
    public void setBoxType(Long boxType) 
    {
        this.boxType = boxType;
    }

    public Long getBoxType() 
    {
        return boxType;
    }
    public void setAreaCode(String areaCode) 
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode() 
    {
        return areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaShortName() {
        return areaShortName;
    }

    public void setAreaShortName(String areaShortName) {
        this.areaShortName = areaShortName;
    }

    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setBoxSize(String boxSize) 
    {
        this.boxSize = boxSize;
    }

    public String getBoxSize() 
    {
        return boxSize;
    }
    public void setGatewayAddr(String gatewayAddr) 
    {
        this.gatewayAddr = gatewayAddr;
    }

    public String getGatewayAddr() 
    {
        return gatewayAddr;
    }
    public void setGatewayPort(Long gatewayPort) 
    {
        this.gatewayPort = gatewayPort;
    }

    public Long getGatewayPort() 
    {
        return gatewayPort;
    }

    public List<PowerBoxElecEqpt> getElecEqptList() {
        return elecEqptList;
    }

    public void setElecEqptList(List<PowerBoxElecEqpt> elecEqptList) {
        this.elecEqptList = elecEqptList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("boxCode", getBoxCode())
            .append("boxType", getBoxType())
            .append("areaCode", getAreaCode())
            .append("location", getLocation())
            .append("boxSize", getBoxSize())
            .append("gatewayAddr", getGatewayAddr())
            .append("gatewayPort", getGatewayPort())
            .toString();
    }
}
